[haiku-depot-web] Re: Package Ordering Issue and Packages not Loading

  • From: Andrew Lindesay <apl@xxxxxxxxxxxxxx>
  • To: haiku-depot-web@xxxxxxxxxxxxx
  • Date: Mon, 07 Nov 2016 18:34:45 +1300

Hello Jessica;

Yes, I guess it would actually be possible to take the older package as
a downgrade and to disable any package versions that were newer that
might have come in prior.  I'll lodge a ticket for that change in
behaviour.

cheers.

-- 
Andrew Lindesay

On Mon, 7 Nov 2016, at 10:23, Jessica Hamilton wrote:

On 4 November 2016 at 21:47, Andrew Lindesay <apl@xxxxxxxxxxxxxx> wrote:
Hello Jim;

HDS periodically (or on request) polls the repository and pulls down new
versions.  It maintains records of old versions, but it does expect that
the newly loaded versions are *newer* than the old versions.  It
maintains the history because people will record their ratings and
stability information against a specific version.  This is why older
versions are in there.

This seems like a poor assumption to make. Sometimes the "latest"
version of an app or library needs to be downgraded, due to
compatibility issues, regressions or such.


Other related posts: